Package opennlp.uima.normalizer

## Class StringDictionary

- java.lang.Object
- - opennlp.uima.normalizer.StringDictionary

-     public class StringDictionary
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringDictionary()` |
    `StringDictionary​(InputStream in)` | Initializes the current instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `get​(opennlp.tools.util.StringList key)` | Returns a corresponding String value from hash map.
    `void` | `put​(opennlp.tools.util.StringList key, String value)` | Adds a new entry to hash map.
    `void` | `serialize​(OutputStream out)` | Writes the ngram instance to the given `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringDictionary

          public StringDictionary()

    - #### StringDictionary

          public StringDictionary​(InputStream in)
                           throws IOException

      Initializes the current instance.
      Parameters:
        `in` -
      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          public String get​(opennlp.tools.util.StringList key)

      Returns a corresponding String value from hash map.
      Parameters:
        `key` - key to get value with

    - #### put

          public void put​(opennlp.tools.util.StringList key,
                          String value)

      Adds a new entry to hash map.
      Parameters:
        `key` - key to put
        `value` - value to put

    - #### serialize

          public void serialize​(OutputStream out)
                         throws IOException

      Writes the ngram instance to the given `OutputStream`.
      Parameters:
        `out` -
      Throws:
        `IOException` - if an I/O Error during writing occures